

namespace XGame.Framework.Asset
{
    internal class BinaryLoader : BaseLoader, IAssetLoader
    {

        public IAssetAsync LoadAsync<TResult>(string addressableName)
        {
            throw new System.NotImplementedException();
        }

        public object LoadSync<TResult>(string addressableName)
        {
            throw new System.NotImplementedException();
            //string filePath = KFADF.FileUtil.GetFilePath(addressableName);
            //Type type = typeof(TResult);
            //if (type == typeof(byte[]))
            //{
            //    return File.ReadAllBytes(filePath);
            //}
            //else if (type.IsSubclassOf(typeof(Stream)))
            //{
            //    return File.OpenRead(filePath);
            //}
            //else if (type == typeof(string))
            //{
            //    return File.ReadAllText(filePath);
            //}
            //else
            //{
            //    throw new NotImplementedException();
            //}
        }

        public IAssetAsync LoadSceneBundleAsync(string sceneName)
        {
            throw new System.NotImplementedException();
        }

        public void UnLoadSceneBundle(string sceneName)
        {
            throw new System.NotImplementedException();
        }

        public void Unload(string addressableName, object source)
        {
            throw new System.NotImplementedException();
        }
        public void UnloadUnusedAssets()
        {
            //throw new System.NotImplementedException();
        }

        protected override void OnDispose()
        {
            
        }
    }
}

